<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>gov.va.med.tfs</groupId>
	<artifactId>tfs</artifactId>
	<name>TFS: Enterprise Application</name>
	<packaging>pom</packaging>
	<version>4.0.1-SNAPSHOT</version>
	<description> Template And Filter Service Enterprise Application 
	</description>
	<inceptionYear>2010</inceptionYear>
	<url>${tfs.build.reports.url}/${project.version}</url>
	<organization>
		<name> Department of Veterans Affairs: Template And Filter Service (TAFS)</name>
		<url>${tfs.build.reports.url}/${project.version}</url>
	</organization>
	<modules>
		<module>tfs-core</module>
		<module>tfs-ear</module>
		<!-- <module>tfs-functional-tests</module> -->
	</modules>
	<properties>
		<tfs.test.groups>checkintest,appservertest</tfs.test.groups>
		<org.springframework.version>4.2.7.RELEASE</org.springframework.version>
		<build.reports.outputsite>file://serverURL       :/usr/share/tomcat6/webapps/siteReport</build.reports.outputsite>
		<build.reports.url>http://serverURL       :8080/siteReport/</build.reports.url>
		<powermock.version>1.6.4</powermock.version>
		<repos.lib.groupid>gov.va.med.repos.lib</repos.lib.groupid>
		<apache.cxf.version>3.1.3</apache.cxf.version>
		<weblogic.version>12.1.2.0</weblogic.version>
		<junit-ext.version>4.0.0</junit-ext.version>
		<common.version>6.0.0</common.version>
		<log4j-ext.version>5.0.0</log4j-ext.version>
		<testharness.version>6.0.0</testharness.version>
		<tafs-webservice-client.version>5.0.0</tafs-webservice-client.version>
	</properties>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>gov.va.med.tfs</groupId>
				<artifactId>tfs-core</artifactId>
				<version>${project.version}</version>
				<type>ejb</type>
			</dependency>
			<dependency>
				<groupId>commons-logging</groupId>
				<artifactId>commons-logging</artifactId>
				<version>1.2</version>
			</dependency>
			<dependency>
				<groupId>org.easymock</groupId>
				<artifactId>easymock</artifactId>
				<scope>test</scope>
				<version>3.4</version>
			</dependency>
			<!-- commented by Ashit Shah on 05/09/2014. relase:prepare error: javax.annotation:jsr250-api:jar -> duplicate declaration of version 1.0 @ line 
				119, column 16 <dependency> <groupId>javax.annotation</groupId> <artifactId>jsr250-api</artifactId> <version>1.0</version> </dependency> -->
			<dependency>
				<groupId>junit</groupId>
				<artifactId>junit</artifactId>
				<version>4.12</version>
			</dependency>
			<!-- commented by Ashit Shah on 05/09/2014. relase:prepare error: org.easymock:easymock:jar -> duplicate declaration of version 2.4 @ line 74, 
				column 16 <dependency> <groupId>org.easymock</groupId> <artifactId>easymock</artifactId> <version>2.4</version> </dependency> -->
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-collections4</artifactId>
				<version>4.0</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-dbcp2</artifactId>
				<version>2.1</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-pool2</artifactId>
				<version>2.4.2</version>
			</dependency>
			<dependency>
				<groupId>org.hibernate</groupId>
				<artifactId>hibernate-core</artifactId>
				<version>4.3.10.Final</version>
			</dependency>
			<dependency>
				<groupId>org.hibernate</groupId>
				<artifactId>hibernate-commons-annotations</artifactId>
				<version>4.0.5.Final</version>
			</dependency>
			<dependency>
				<groupId>javax.annotation</groupId>
				<artifactId>jsr250-api</artifactId>
				<version>1.0</version>
			</dependency>
			<dependency>
				<groupId>javax.transaction</groupId>
				<artifactId>jta</artifactId>
				<version>1.1</version>
			</dependency>
			<dependency>
				<groupId>ojdbc</groupId>
				<artifactId>ojdbc</artifactId>
				<version>14</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-beans</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-context</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-core</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-test</artifactId>
				<scope>test</scope>
				<version>${org.springframework.version}</version>
			</dependency>
			<!-- <dependency> <groupId>weblogic</groupId> <artifactId>weblogic</artifactId> <version>${weblogic.version}</version> <scope>provided</scope> 
				</dependency> <dependency> <groupId>weblogic</groupId> <artifactId>wls-api</artifactId> <version>${weblogic.version}</version> <scope>provided</scope> 
				</dependency> -->
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wlfullclient</artifactId>
				<version>${weblogic.version}</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wlthint3client</artifactId>
				<version>${weblogic.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>dom4j</groupId>
				<artifactId>dom4j</artifactId>
				<version>1.6.1-PATCH01</version>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wljmsclient</artifactId>
				<version>${weblogic.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>annogen</groupId>
				<artifactId>annogen</artifactId>
				<version>0.1.0</version>
			</dependency>
			<dependency>
				<groupId>org.aspectj</groupId>
				<artifactId>aspectjweaver</artifactId>
				<version>1.8.6</version>
			</dependency>
			<dependency>
				<groupId>com.sun.jdmk</groupId>
				<artifactId>jmxtools</artifactId>
				<version>1.2.1</version>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wlclient</artifactId>
				<version>12.1.2.0</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>webserviceclient</artifactId>
				<version>12.1.2.0</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>gov.va.med.namingdirectory</groupId>
				<artifactId>namingdirectoryservice-client</artifactId>
				<version>3.0.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-digester3</artifactId>
				<version>3.2</version>
				<exclusions>
					<exclusion>
						<groupId>asm</groupId>
						<artifactId>asm</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>common</artifactId>
				<version>${common.version}</version>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>junit-ext</artifactId>
				<version>${junit-ext.version}</version>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>testharness</artifactId>
				<version>${testharness.version}</version>
				<classifier>tests</classifier>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>testharness</artifactId>
				<version>${testharness.version}</version>
			</dependency>
			<dependency>
				<groupId>gov.va.med.tfs</groupId>
				<artifactId>tfs-core</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>com.oracle.weblogic</groupId>
				<artifactId>weblogic-maven-plugin</artifactId>
				<version>10.3.4</version>
				<scope>provided</scope>
			</dependency>
			<!-- <dependency> <groupId>javax</groupId> <artifactId>javaee-api</artifactId> <version>6.0</version> </dependency> -->
			<dependency>
				<groupId>javax.validation</groupId>
				<artifactId>validation-api</artifactId>
				<version>1.0.0.GA</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>com.sun.xml.stream</groupId>
				<artifactId>sjsxp</artifactId>
				<version>1.0.1</version>
			</dependency>
			<!-- <dependency> -->
			<!-- <groupId>javax.xml.bind</groupId> -->
			<!-- <artifactId>jaxb-api</artifactId> -->
			<!-- <version>2.2.11</version> -->
			<!-- <exclusions> -->
			<!-- <exclusion> -->
			<!-- <groupId>javax.xml.bind</groupId> -->
			<!-- <artifactId>jsr173_api</artifactId> -->
			<!-- </exclusion> -->
			<!-- <exclusion> -->
			<!-- <groupId>javax.xml</groupId> -->
			<!-- <artifactId>jsr173</artifactId> -->
			<!-- </exclusion> -->
			<!-- </exclusions> -->
			<!-- </dependency> -->
			<dependency>
				<groupId>com.sun.xml.bind</groupId>
				<artifactId>jaxb-impl</artifactId>
				<version>2.2.11</version>
			</dependency>
			<dependency>
				<groupId>com.sun.xml.bind</groupId>
				<artifactId>jaxb-core</artifactId>
				<version>2.2.11</version>
			</dependency>

		</dependencies>
	</dependencyManagement>
	<!-- 
	<scm>
		<url>https://URL             .DNS   :PORT/ccm:server_rb_HDR_app_tafs_main_stream_rws</url>
		<connection>scm:jazz:https://URL             .DNS   :PORT/ccm:server_rb_HDR_app_tafs_main_stream_rws</connection>
		<developerConnection>scm:jazz:https://URL             .DNS   :PORT/ccm:server_rb_HDR_app_tafs_main_stream_rws</developerConnection>
	</scm>
	-->
	
	<scm>
        <url>${env.SCM_URL}:${env.APP_TAFS_RB_RWS}</url>
        <connection>scm:jazz:${env.SCM_URL}:${env.APP_TAFS_RB_RWS}</connection>
        <developerConnection>scm:jazz:${env.SCM_URL}:${env.APP_TAFS_RB_RWS}</developerConnection>
    </scm>
	
	
	<profiles>
		<profile>
			<id>Windows</id>
			<activation>
				<os>
					<family>windows</family>
				</os>
			</activation>
			<properties>
				<weblogic.wlst>wlst.cmd</weblogic.wlst>
			</properties>
		</profile>
		<profile>
			<id>Linux</id>
			<activation>
				<os>
					<family>unix</family>
				</os>
			</activation>
			<properties>
				<weblogic.wlst>wlst.sh</weblogic.wlst>
			</properties>
		</profile>
		<profile>
			<id>clover</id>
			<pluginRepositories>
				<pluginRepository>
					<id>atlassian-m2-repository</id>
					<name>Atlassian Maven 2.x Repository</name>
					<url>http://repository.atlassian.com/maven2</url>
				</pluginRepository>
			</pluginRepositories>
			<reporting>
				<plugins>
					<plugin>
						<groupId>com.atlassian.maven.plugins</groupId>
						<artifactId>maven-clover2-plugin</artifactId>
						<version>2.6.3</version>
						<configuration>
							<licenseLocation>${CDSN_ROOT}/misc/tools/Clover/clover.license
							</licenseLocation>
						</configuration>
					</plugin>
				</plugins>
			</reporting>
			<build>
				<pluginManagement>
					<plugins>
						<plugin>
							<groupId>com.atlassian.maven.plugins</groupId>
							<artifactId>maven-clover2-plugin</artifactId>
							<version>3.0.2</version>
						</plugin>
					</plugins>
				</pluginManagement>
				<plugins>
					<plugin>
						<groupId>com.atlassian.maven.plugins</groupId>
						<artifactId>maven-clover2-plugin</artifactId>
						<configuration>
							<excludes>
								<exclude>**/*Test.java</exclude>
								<exclude>**/*TestCase.java</exclude>
							</excludes>
						</configuration>
						<executions>
							<execution>
								<phase>pre-site</phase>
								<goals>
									<goal>instrument</goal>
									<goal>aggregate</goal>
								</goals>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
		<profile>
			<id>tfs-modules</id>
			<modules>
				<module>tfs-core</module>
				<module>tfs-ear</module>
			</modules>
		</profile>

	</profiles>
	<!-- Replaced following sections with CDS 3 POM -->
	<build>
		<extensions>
			<extension>
				<groupId>org.apache.maven.wagon</groupId>
				<artifactId>wagon-webdav</artifactId>
				<version>1.0-beta-2</version>
			</extension>
		</extensions>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-enforcer-plugin</artifactId>
				<executions>
					<execution>
						<id>enforce-versions</id>
						<goals>
							<goal>enforce</goal>
						</goals>
						<configuration>
							<rules>
								<requireMavenVersion>
									<version>2.1.0</version>
									<!-- works <version>2.0.9</version> -->
								</requireMavenVersion>
								<requireJavaVersion>
									<version>1.6</version>
								</requireJavaVersion>
							</rules>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<artifactId>maven-surefire-plugin</artifactId>
				<configuration>
					<systemProperties>
						<property>
							<name>tfs.run.properties.path</name>
							<value>${tfs.run.properties.path}</value>
						</property>
						<property>
							<name>tfs.test.groups</name>
							<value>${tfs.test.groups}</value>
						</property>
					</systemProperties>
					<!-- groups>${tfs.test.groups}</groups -->
					<argLine>-Xmx1024m </argLine>
					<disableXmlReport>false</disableXmlReport>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-source-plugin</artifactId>
				<configuration>
					<aggregate>false</aggregate>
				</configuration>
				<executions>
					<execution>
						<phase>package</phase>
						<goals>
							<goal>jar</goal>
							<goal>test-jar</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-scm-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-install-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-deploy-plugin</artifactId>
			</plugin>
		</plugins>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-enforcer-plugin</artifactId>
					<version>1.0-beta-1</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-deploy-plugin</artifactId>
					<version>2.5</version>
				</plugin>
				<!-- CM required next plugin 10/26/2010 -->
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-release-plugin</artifactId>
					<version>2.5</version>
					<configuration>
						<preparationGoals>clean install</preparationGoals>
						<autoVersionSubmodules>true</autoVersionSubmodules>
						<releaseProfiles>tfs-modules,bounce-weblogic</releaseProfiles>
					</configuration>
				</plugin>

				<plugin>
					<groupId>com.fortify.ps.maven.plugin</groupId>
					<artifactId>sca-maven-plugin</artifactId>
					<version>4.30</version>
				</plugin>

				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-scm-plugin</artifactId>
					<version>1.9.1</version>
					<dependencies>
						<dependency>
							<groupId>org.apache.maven.scm</groupId>
							<artifactId>maven-scm-provider-jazz</artifactId>
							<version>1.9.1</version>
						</dependency>
						<dependency>
							<groupId>org.apache.maven.scm</groupId>
							<artifactId>maven-scm-api</artifactId>
							<version>1.9.1</version>
						</dependency>
						<dependency>
							<groupId>org.apache.maven.scm</groupId>
							<artifactId>maven-scm-client</artifactId>
							<version>1.9.1</version>
						</dependency>
					</dependencies>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-jar-plugin</artifactId>
					<version>2.3.1</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-javadoc-plugin</artifactId>
					<configuration>
						<aggregate>true</aggregate>
						<tags>
							<tag>
								<name>generated</name>
								<placement>X</placement>
							</tag>
							<tag>
								<name>uml.annotations</name>
								<placement>X</placement>
							</tag>
							<tag>
								<name>ordered</name>
								<placement>X</placement>
							</tag>
						</tags>
					</configuration>
					<version>2.7</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-install-plugin</artifactId>
					<version>2.3.1</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-resources-plugin</artifactId>
					<version>2.4.3</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-site-plugin</artifactId>
					<version>2.1.1</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-assembly-plugin</artifactId>
					<version>2.2-beta-5</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-compiler-plugin</artifactId>
					<version>2.3.2</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-antrun-plugin</artifactId>
					<version>1.3</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-ejb-plugin</artifactId>
					<version>2.3</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-surefire-plugin</artifactId>
					<version>2.12.4</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-source-plugin</artifactId>
					<version>2.1.2</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-war-plugin</artifactId>
					<version>2.1</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-ear-plugin</artifactId>
					<version>2.4.2</version>
				</plugin>
				<plugin>
					<groupId>org.codehaus.mojo</groupId>
					<artifactId>exec-maven-plugin</artifactId>
					<version>1.2</version>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>
	<!-- End Replaced following sections with CDS 3 POM -->
	<distributionManagement>
		<repository>
			<id>internal</id>
			<url>http://serverURL       :8081/nexus/content/repositories/internal</url>
		</repository>
		<snapshotRepository>
			<id>snapshots</id>
			<url>http://serverURL       :8081/nexus/content/repositories/snapshots</url>
		</snapshotRepository>
		<site>
			<id>bob-website</id>
			<url> ${tfs.build.reports.outputsite}/${project.version} </url>
		</site>
	</distributionManagement>
	<repositories>
		<repository>
			<id>internal</id>
			<name>Internal Repository</name>
			<url>http://serverURL       :8081/nexus/content/repositories/internal</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>snapshots</id>
			<name>Snapshots</name>
			<url>http://serverURL       :8081/nexus/content/repositories/snapshots</url>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>
	<!-- <pluginRepositories> <pluginRepository> <id>internal</id> <name>Internal Repository</name> <url>http://serverURL       :8081/nexus/content/repositories/internal</url> 
		<releases> <enabled>true</enabled> </releases> <snapshots> <enabled>false</enabled> </snapshots> </pluginRepository> <pluginRepository> <id>atlassian-m2-repository</id> 
		<url>http://repository.atlassian.com/maven2</url> <snapshots> <enabled>false</enabled> </snapshots> </pluginRepository> </pluginRepositories> -->
</project>
